::==================================================================
::BIOS Flash reference script V1.3.2
::It is a sample script to demo how to flash BIOS via script command
::Please make your own script depend on your case.
::==================================================================
::Target Platform
::flash tool is afudos 3.06.01 (APTIO4)(DOS)
@echo off
:LABEL_SET_VAR
::==================================
set BIOS_BIN=QM87ER12.bin
set FLASH_TOOL=afudos.exe
::==================================
:LABEL_CHECK_FILE
if not exist %BIOS_BIN% goto LABEL_BIOS_BIN_ERROR
if not exist %FLASH_TOOL% goto LABEL_BIOS_BIN_ERROR
goto LABEL_GO_FLASH
::
:LABEL_GO_FLASH
@echo on
::Append your own process here /R to preserve SMBIOS data
%FLASH_TOOL% %BIOS_BIN% /B /R /P /N /X
@echo off
@pause
goto LABEL_DONE
::
:LABEL_BIOS_BIN_ERROR
@echo Please makesure all %BIOS_BIN% , %FLASH_TOOL% are existed in this folder.
:LABEL_DONE
:LABEL_CLEAR_VAR
::==================================
set BIOS_BIN=
set FLASH_TOOL=
::==================================